loci.formats.in

## Class OperettaReader.Plane

- java.lang.Object
- - loci.formats.in.OperettaReader.Plane

- Enclosing class:
    OperettaReader

      class OperettaReader.Plane
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `ome.xml.model.primitives.Timestamp` | `absoluteTime`
    `java.lang.String` | `acqType`
    `int` | `c`
    `java.lang.String` | `channelName`
    `java.lang.String` | `channelType`
    `int` | `col`
    `ome.units.quantity.Time` | `deltaT`
    `double` | `emWavelength`
    `ome.units.quantity.Time` | `exposureTime`
    `double` | `exWavelength`
    `int` | `field`
    `java.lang.String` | `filename`
    `double` | `lensNA`
    `double` | `magnification`
    `java.lang.Double[][]` | `orientationMatrix`
    `ome.units.quantity.Length` | `positionX`
    `ome.units.quantity.Length` | `positionY`
    `ome.units.quantity.Length` | `positionZ`
    `double` | `resolutionX`
    `double` | `resolutionY`
    `int` | `row`
    `int` | `t`
    `int` | `x`
    `int` | `y`
    `int` | `z`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Plane()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `applyMatrix()` Applies the orientationMatrix to positionX, positionY, and positionZ.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### filename

          public java.lang.String filename

    - #### row

          public int row

    - #### col

          public int col

    - #### field

          public int field

    - #### x

          public int x

    - #### y

          public int y

    - #### z

          public int z

    - #### t

          public int t

    - #### c

          public int c

    - #### channelName

          public java.lang.String channelName

    - #### resolutionX

          public double resolutionX

    - #### resolutionY

          public double resolutionY

    - #### positionX

          public ome.units.quantity.Length positionX

    - #### positionY

          public ome.units.quantity.Length positionY

    - #### positionZ

          public ome.units.quantity.Length positionZ

    - #### emWavelength

          public double emWavelength

    - #### exWavelength

          public double exWavelength

    - #### magnification

          public double magnification

    - #### lensNA

          public double lensNA

    - #### exposureTime

          public ome.units.quantity.Time exposureTime

    - #### deltaT

          public ome.units.quantity.Time deltaT

    - #### absoluteTime

          public ome.xml.model.primitives.Timestamp absoluteTime

    - #### acqType

          public java.lang.String acqType

    - #### channelType

          public java.lang.String channelType

    - #### orientationMatrix

          public java.lang.Double[][] orientationMatrix

  - ### Constructor Detail

    - #### Plane

          Plane()

  - ### Method Detail

    - #### applyMatrix

          public void applyMatrix()

      Applies the orientationMatrix to positionX, positionY, and positionZ.

Copyright © 2026 Open Microscopy Environment